Subject: bug#37932: [PATCH] Support hidpi fringes and images with Cairo

From: Carlos Pita <[email-masked]>
Date: Sat, 26 Oct 2019 03:43:38 -0300

Ok, the problem is that widget-image-insert (in wid-edit.el) is
directly inserting the image with insert-image, without creating the
spec with create-image first, so the spec doesn't get the :scale
property. Similarly, gamegrid.el is creating its own, unscaled, image
spec.

IMO there is something smelly in using the :scale attribute like
create-image does, scaling to compensate hidpi is a very different
concern than "application level" scaling.

Anyway, do you think that:

1. I should fix those two modules to use create-image or at least add :scale, or
2. put a mark to unscaled images so that they are always scaled at the
end in x_cr_draw_image, or
3. disable this auto :scale feature when the new low-level scaling
mechanism is on

?

I think I prefer 3.